4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Formatters.CommandLineFormatter

Classes: CommandLineFormatter

## Classes

class CommandLineFormatter(Ft.Lib.DistExt.Formatters.XmlFormatter.XmlFormatter)

  ### Methods

  doc_argument(self, argument, name)
  doc_command(self, command)
  doc_option(self, option, name)
  doc_subcommand(self, command, name)
  document(self, application)
    Overrides: document from class XmlFormatter

  ### Methods inherited from class Ft.Lib.DistExt.Formatters.XmlFormatter.XmlFormatter

  __init__, end_element, format, section, start_element, warn, write_element

  ### Methods inherited from class Ft.Lib.DistExt.Formatters.XmlFormatter.XmlRepr

  escape, repr, repr_str, repr_unicode

  ### Methods inherited from class pydoc.TextRepr

  repr1, repr_instance, repr_string

  ### Methods inherited from class repr.Repr

  repr_array, repr_deque, repr_dict, repr_frozenset, repr_list, repr_long, repr_set, repr_tuple

  ### Members

  document_type = <class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp>

  ### Members inherited from class Ft.Lib.DistExt.Formatters.XmlFormatter.XmlFormatter

  indent